Package org.eclipse.emf.cdo.transfer.ui.swt

# Class TransferComposite

java.lang.Object
org.eclipse.swt.widgets.Widget
org.eclipse.swt.widgets.Control
org.eclipse.swt.widgets.Scrollable
org.eclipse.swt.widgets.Composite
org.eclipse.swt.custom.SashForm
org.eclipse.emf.cdo.transfer.ui.swt.TransferComposite

All Implemented Interfaces:
  `ISelectionChangedListener`, `Drawable`

public class TransferComposite extends SashForm implements ISelectionChangedListener
A vertical `sash` that contains a `TransferTreeComposite` and a `TransferDetailsComposite`.

Since:
  4.2
Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.swt.custom.SashForm

`SASH_WIDTH`

### Fields inherited from class org.eclipse.swt.widgets.Control

`handle`

### Fields inherited from class org.eclipse.swt.widgets.Widget

`nativeZoom`

## Constructor Summary

Constructors
Constructor
Description
`TransferComposite(Composite parent, CDOTransfer transfer)`

## Method Summary

Modifier and Type
Method
Description
`CDOTransfer`
`getTransfer()`
`TransferDetailsComposite`
`getTransferDetailsComposite()`
`TransferTreeComposite`
`getTransferTreeComposite()`
`void`
`selectionChanged(SelectionChangedEvent event)`
`boolean`
`setFocus()`

### Methods inherited from class org.eclipse.swt.custom.SashForm

`getMaximizedControl, getOrientation, getSashWidth, getStyle, getWeights, setBackground, setForeground, setLayout, setMaximizedControl, setOrientation, setSashWidth, setToolTipText, setWeights`

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, checkSubclass, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setLayoutDeferred, setTabList, toString`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar, setScrollbarsMode`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, addTypedListener, checkWidget, dispose, getData, getData, getDisplay, getListeners, getTypedListeners, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, removeListener, removeTypedListener, reskin, setData, setData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.graphics.Drawable

`isAutoScalable`

## Constructor Details

### TransferComposite

public TransferComposite(Composite parent, CDOTransfer transfer)

## Method Details

### getTransfer

public CDOTransfer getTransfer()

### getTransferTreeComposite

public TransferTreeComposite getTransferTreeComposite()

### getTransferDetailsComposite

public TransferDetailsComposite getTransferDetailsComposite()

### selectionChanged

public void selectionChanged(SelectionChangedEvent event)

Specified by:
  `selectionChanged` in interface `ISelectionChangedListener`

### setFocus

public boolean setFocus()

Overrides:
  `setFocus` in class `Composite`